%global realname childsplay_sp

Name:           childsplay
Version:        1.6
Release:        29%{?dist}
Summary:        Suite of educational games for young children
License:        GPLv3
URL:            http://www.schoolsplay.org/
Source0:        http://downloads.sourceforge.net/schoolsplay/%{name}-%{version}.tgz
Source1:        childsplay.desktop
Source2:        childsplay.appdata.xml
Source10:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_bg-0.9.1.tgz
Source11:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_ca-0.9.1.tgz
Source12:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_de-0.9.1.tgz
Source13:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_el-0.9.tgz
Source14:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_en_GB-0.9.1.tgz
Source15:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_es-0.9.1.tgz
Source16:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_fr-0.9.1.tgz
Source17:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_it-0.9.1.tgz
Source18:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_lt-0.9.1.tgz
Source19:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_nb-0.9.1.tgz
Source20:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_nl-0.9.1.tgz
Source21:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_pt-0.9.1.tgz
Source22:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_pt_BR-0.9.1.tgz
Source23:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_ro-0.9.1.tgz
Source24:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_ru-0.9.1.tgz
Source25:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_sl-0.9.1.tgz
Source26:       http://downloads.sourceforge.net/schoolsplay/alphabet_sounds_sv-0.9.2.tgz
Patch0:         childsplay-fix-sqlalchemy-exceptions-import.patch
Patch1:         childsplay-1.6-flashcards-lang-fallback.patch
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       pygame
Requires:       python2-sqlalchemy
Requires:       hicolor-icon-theme
Requires:       pyfribidi
Requires:       dejavu-sans-fonts
Requires:       pygtk2
Provides:       childsplay_sp = %{version}-%{release}

%description
Childsplay is a suite of educational games for young children. It's written in
Python and uses the SDL-libraries. The aim is to be educational and at the same
time be fun to play.

Some activities make use of language dependent voice samples, these sounds are
available as childsplay-alphabet_sounds packages. For those you'll have to
install the childsplay-alphabet_sounds package for the languages you intend to
use. For example childsplay-alphabet_sounds_nl.
Available alphabet sounds packages:
childsplay-alphabet_sounds_bg
childsplay-alphabet_sounds_ca
childsplay-alphabet_sounds_de
childsplay-alphabet_sounds_el
childsplay-alphabet_sounds_en_GB
childsplay-alphabet_sounds_es
childsplay-alphabet_sounds_fr
childsplay-alphabet_sounds_lt
childsplay-alphabet_sounds_nb
childsplay-alphabet_sounds_nl
childsplay-alphabet_sounds_pt
childsplay-alphabet_sounds_pt_BR
childsplay-alphabet_sounds_ro
childsplay-alphabet_sounds_ru
childsplay-alphabet_sounds_sl
childsplay-alphabet_sounds_sv


%package alphabet_sounds_bg
Summary:        Bulgarian alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-bg)

%description alphabet_sounds_bg
Bulgarian alphabet sounds for Childsplay


%package alphabet_sounds_ca
Summary:        Catalan alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-ca)

%description alphabet_sounds_ca
Catalan alphabet sounds for Childsplay


%package alphabet_sounds_de
Summary:        German alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-de)

%description alphabet_sounds_de
German alphabet sounds for Childsplay


%package alphabet_sounds_el
Summary:        New Greek alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-el)

%description alphabet_sounds_el
new Greek alphabet sounds for Childsplay


%package alphabet_sounds_en_GB
Summary:        British English alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-en_GB)

%description alphabet_sounds_en_GB
British English alphabet sounds for Childsplay


%package alphabet_sounds_es
Summary:        Spanish alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-es)

%description alphabet_sounds_es
Spanish alphabet sounds for Childsplay


%package alphabet_sounds_fr
Summary:        French alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-fr)

%description alphabet_sounds_fr
French alphabet sounds for Childsplay


%package alphabet_sounds_it
Summary:        Italian alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-it)

%description alphabet_sounds_it
Italian alphabet sounds for Childsplay


%package alphabet_sounds_lt
Summary:        Lithuanian alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-lt)

%description alphabet_sounds_lt
Lithuanian alphabet sounds for Childsplay


%package alphabet_sounds_nb
Summary:        Norwegian Bokmål alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-nb)

%description alphabet_sounds_nb
Norwegian Bokmål alphabet sounds for Childsplay


%package alphabet_sounds_nl
Summary:        Dutch alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-nl)

%description alphabet_sounds_nl
Dutch alphabet sounds for Childsplay


%package alphabet_sounds_pt
Summary:        Portuguese alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-pt)

%description alphabet_sounds_pt
Portuguese alphabet sounds for Childsplay


%package alphabet_sounds_pt_BR
Summary:        Brazilian Portuguese alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-pt_BR)

%description alphabet_sounds_pt_BR
Brazilian Portuguese alphabet sounds for Childsplay


%package alphabet_sounds_ro
Summary:        Romanian alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-ro)

%description alphabet_sounds_ro
Romanian alphabet sounds for Childsplay


%package alphabet_sounds_ru
Summary:        Russian alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-ru)

%description alphabet_sounds_ru
Russian alphabet sounds for Childsplay


%package alphabet_sounds_sl
Summary:        Slovenian alphabet sounds for Childsplay
License:        CC-BY
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-sl)

%description alphabet_sounds_sl
Slovenian alphabet sounds for Childsplay


%package alphabet_sounds_sv
Summary:        Swedish alphabet sounds for Childsplay
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Supplements:    (%{name} = %{version}-%{release} and langpacks-sv)

%description alphabet_sounds_sv
Swedish alphabet sounds for Childsplay


%prep
%setup -q -a 10 -a 11 -a 12 -a 13 -a 14 -a 15 -a 16 -a 17 -a 18 -a 19 -a 20 -a 21 -a 22 -a 23 -a 24 -a 25 -a 26
%patch -P0 -p1 -z .sqlalchemy
%patch -P1 -p1
# we don't use the buggy provided install
rm setup.py
# fixup the python scripts to call python directly and make them executable
sed -i 's!/usr/bin/env python!%{_bindir}/python2!' bin/%{name}
# fix wrong end of line encoding
sed -i -e 's|\r||g' doc/license.txt
# lang lt miss subdir
pushd alphabet_sounds_lt-0.9.1/AlphabetSounds
mkdir lt
mv *.* lt
popd


%build
# setup.py is not really usable for our needs
echo "## Automated file please do not edit" > SPBasePaths.py
echo "# This module holds all the paths needed for %{name}." >> SPBasePaths.py
%if ! 0%{?fedora}%{?rhel} || 0%{?fedora} >= 20 || 0%{?rhel} >= 8
echo "DOCDIR = '%{_docdir}/%{name}'" >> SPBasePaths.py
%else
echo "DOCDIR = '%{_docdir}/%{name}-%{version}'" >> SPBasePaths.py
%endif
echo "PYTHONCPDIR = '%{python2_sitelib}/%{realname}'" >> SPBasePaths.py
echo "BASEDIR = '%{_datadir}/%{realname}'" >> SPBasePaths.py
echo "SHARELIBDATADIR = '%{_datadir}/%{realname}'" >> SPBasePaths.py
echo "ALPHABETDIR = '%{_datadir}/%{realname}/alphabetsounds'" >> SPBasePaths.py
echo "LOCALEDIR = '%{_datadir}/locale'" >> SPBasePaths.py


%install
# setup.py is not really usable for our needs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{python2_sitelib}/%{realname}/lib
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{realname}

cp -a bin/%{name}  $RPM_BUILD_ROOT%{_bindir}

cp -a lib/CPData $RPM_BUILD_ROOT%{_datadir}/%{realname}
cp -a lib/SPData $RPM_BUILD_ROOT%{_datadir}/%{realname}
cp -a alphabetsounds $RPM_BUILD_ROOT%{_datadir}/%{realname}
cp -a locale/* $RPM_BUILD_ROOT%{_datadir}/locale

cp -a *.py $RPM_BUILD_ROOT%{python2_sitelib}/%{realname}
cp -a gui $RPM_BUILD_ROOT%{python2_sitelib}/%{realname}
cp -a lib/*.py $RPM_BUILD_ROOT%{python2_sitelib}/%{realname}/lib
cp -a ocempgui $RPM_BUILD_ROOT%{python2_sitelib}/%{realname}

%find_lang %{realname}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor fedora            \
%endif
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/appdata/

for i in 32x32 64x64 128x128 192x192 256x256; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$i/apps
  if [ -f lib/SPData/menu/default/logo_cp_$i.png ]; then
    install -p -m 644 lib/SPData/menu/default/logo_cp_$i.png \
      $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$i/apps/%{name}.png
  else
    convert lib/SPData/menu/default/logo_cp_180x180.png -resize $i \
      $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$i/apps/%{name}.png
  fi
done

#Remove provided font and symlink system one
rm $RPM_BUILD_ROOT%{_datadir}/%{realname}/SPData/DejaVuSansCondensed-Bold.ttf
rm $RPM_BUILD_ROOT%{_datadir}/%{realname}/SPData/DejaVu-ttf.copyright
ln -s ../../fonts/dejavu/DejaVuSansCondensed-Bold.ttf $RPM_BUILD_ROOT%{_datadir}/%{realname}/SPData/DejaVuSansCondensed-Bold.ttf

#Alphabet sounds
for sounds in bg ca de en_GB es fr it lt nb nl pt pt_BR ro ru sl
do
  cp -a alphabet_sounds_$sounds-0.9.1/AlphabetSounds/$sounds $RPM_BUILD_ROOT%{_datadir}/%{realname}/alphabetsounds
done
for sounds in ca de es fr it nl pt_BR ru sl
do
  cp -a alphabet_sounds_$sounds-0.9.1/FlashCardsSounds/$sounds $RPM_BUILD_ROOT%{_datadir}/%{realname}/CPData/FlashcardsData/names
done
# sv and el language have a different version from the rest
cp -a alphabet_sounds_el-0.9/AlphabetSounds/el $RPM_BUILD_ROOT%{_datadir}/%{realname}/alphabetsounds
cp -a alphabet_sounds_sv-0.9.2/AlphabetSounds/sv $RPM_BUILD_ROOT%{_datadir}/%{realname}/alphabetsounds


%files -f %{realname}.lang
%doc Changelog doc/* README
%license COPYING
%{_bindir}/%{name}
%dir %{_datadir}/%{realname}
%{_datadir}/%{realname}/SPData
%{_datadir}/%{realname}/CPData/*.*
%{_datadir}/%{realname}/CPData/BilliardData
%{_datadir}/%{realname}/CPData/FallinglettersData
%{_datadir}/%{realname}/CPData/FindsoundData
%{_datadir}/%{realname}/CPData/FishtankData
%{_datadir}/%{realname}/CPData/FlashcardsData/cards
%{_datadir}/%{realname}/CPData/FlashcardsData/sounds
%{_datadir}/%{realname}/CPData/FlashcardsData/names/en
%{_datadir}/%{realname}/CPData/LMemoryData
%{_datadir}/%{realname}/CPData/MemoryData
%{_datadir}/%{realname}/CPData/PackidData
%{_datadir}/%{realname}/CPData/PongData
%{_datadir}/%{realname}/CPData/PuzzleData
%{_datadir}/%{realname}/CPData/SoundmemoryData
%{_datadir}/%{realname}/alphabetsounds/en
%{python2_sitelib}/%{realname}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml

%files alphabet_sounds_bg
%doc alphabet_sounds_bg-0.9.1/GPL-2
%{_datadir}/%{realname}/alphabetsounds/bg

%files alphabet_sounds_ca
%doc alphabet_sounds_ca-0.9.1/copyright alphabet_sounds_ca-0.9.1/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/ca
%{_datadir}/%{realname}/alphabetsounds/ca

%files alphabet_sounds_de
%doc alphabet_sounds_de-0.9.1/copyright alphabet_sounds_de-0.9.1/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/de
%{_datadir}/%{realname}/alphabetsounds/de

%files alphabet_sounds_el
%doc alphabet_sounds_el-0.9/copyright alphabet_sounds_el-0.9/GPL-2
%{_datadir}/%{realname}/alphabetsounds/el

%files alphabet_sounds_en_GB
%doc alphabet_sounds_en_GB-0.9.1/copyright alphabet_sounds_en_GB-0.9.1/GPL-2
%{_datadir}/%{realname}/alphabetsounds/en_GB

%files alphabet_sounds_es
%doc alphabet_sounds_es-0.9.1/copyright alphabet_sounds_es-0.9.1/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/es
%{_datadir}/%{realname}/alphabetsounds/es

%files alphabet_sounds_fr
%doc alphabet_sounds_fr-0.9.1/copyright alphabet_sounds_fr-0.9.1/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/fr
%{_datadir}/%{realname}/alphabetsounds/fr

%files alphabet_sounds_it
%doc alphabet_sounds_it-0.9.1/copyright alphabet_sounds_it-0.9.1/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/it
%{_datadir}/%{realname}/alphabetsounds/it

%files alphabet_sounds_lt
%doc alphabet_sounds_lt-0.9.1/copyright alphabet_sounds_lt-0.9.1/GPL-2
%{_datadir}/%{realname}/alphabetsounds/lt

%files alphabet_sounds_nb
%doc alphabet_sounds_nb-0.9.1/copyright alphabet_sounds_nb-0.9.1/GPL-2
%{_datadir}/%{realname}/alphabetsounds/nb

%files alphabet_sounds_nl
%doc alphabet_sounds_nl-0.9.1/copyright alphabet_sounds_nl-0.9.1/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/nl
%{_datadir}/%{realname}/alphabetsounds/nl

%files alphabet_sounds_pt
%doc alphabet_sounds_pt-0.9.1/copyright alphabet_sounds_pt-0.9.1/GPL-2
%{_datadir}/%{realname}/alphabetsounds/pt

%files alphabet_sounds_pt_BR
%doc alphabet_sounds_pt_BR-0.9.1/copyright alphabet_sounds_pt_BR-0.9.1/GPL-2
%{_datadir}/%{realname}/alphabetsounds/pt_BR
%{_datadir}/%{realname}/CPData/FlashcardsData/names/pt_BR

%files alphabet_sounds_ro
%doc alphabet_sounds_ro-0.9.1/copyright alphabet_sounds_ro-0.9.1/GPL-2
%{_datadir}/%{realname}/alphabetsounds/ro

%files alphabet_sounds_ru
%doc alphabet_sounds_ru-0.9.1/copyright alphabet_sounds_ru-0.9.1/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/ru
%{_datadir}/%{realname}/alphabetsounds/ru

%files alphabet_sounds_sl
%doc alphabet_sounds_sl-0.9.1/LICENCE alphabet_sounds_sl-0.9.1/license.txt
%doc alphabet_sounds_sl-0.9.1/README
%{_datadir}/%{realname}/alphabetsounds/sl
%{_datadir}/%{realname}/CPData/FlashcardsData/names/sl

%files alphabet_sounds_sv
%doc alphabet_sounds_sv-0.9.2/copyright alphabet_sounds_sv-0.9.2/GPL-2
%{_datadir}/%{realname}/alphabetsounds/sv


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 19 2018 Sérgio Basto <sergio@serjux.com> - 1.6-28
- Fix python2 (#1638886), remove old provide/obsolete and more little fixes

* Mon Sep 10 2018 Gwyn Ciesla <limburgher@gmail.com> - 1.6-27
- Fix shebang handling.

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6-24
- Remove obsolete scriptlets

* Fri Dec 15 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.6-23
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Tue Aug 15 2017 Sérgio Basto <sergio@serjux.com> - 1.6-22
- Add pygtk2 as required (#1481030)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-19
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar 01 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.6-18
- Add Supplements: for https://fedoraproject.org/wiki/Packaging:Langpacks guidelines

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jul 30 2014 Hans de Goede <hdegoede@redhat.com> - 1.6-15
- Add appdata file (rhbz#1124599)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Sep 15 2013 Hans de Goede <hdegoede@redhat.com> - 1.6-13
- Fix docdir for unversioned docdir F-20 change (rhbz#993696)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Hans de Goede <hdegoede@redhat.com> - 1.6-11
- Fix crash (import error) with latest sqlalchemy
- Add more icon sizes

* Thu Feb 14 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1.6-10
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 17 2012 Hans de Goede <hdegoede@redhat.com> - 1.6-8
- Upgrade -sv alphabetsounds to 0.9.2 version
- Add -pt_BR alphabetsounds
- Correct License tag for alphabetsounds sub-packages: GPLv2, except for
  -sl which is CC-BY

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 23 2012 Hans de Goede <hdegoede@redhat.com> - 1.6-6
- Fix flashcards not working when no flashcards sound are available in
  the choosen language (rhbz#823024)

* Tue May 15 2012 Hans de Goede <hdegoede@redhat.com> - 1.6-5
- Fix missing childsplay-alphabet_sounds_pt sub-package (rhbz#821510)

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 15 2011 Hans de Goede <hdegoede@redhat.com> - 1.6-3
- Fix childsplay no longer working due to the new 0.7 sqlalchemey (rhbz#767799)

* Fri Jun 17 2011 Jon Ciesla <limb@jcomserv.net> - 1.6-2
- Bump and rebuild for BZ 712251,

* Fri Jun 03 2011 Jon Ciesla <limb@jcomserv.net> - 1.6-1
- 1.6, removes non-free images, BZ 710311.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan  1 2011 Hans de Goede <hdegoede@redhat.com> - 1.5.1-3
- Remove reference to no longer used gcompris-sound packages from %%description
- Drop obsolete README.RPM (all relevant info is in %%description)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu May 20 2010 Johan Cwiklinski <johan AT x-tnd DOT be> 1.5.1-1
- 1.5.1

* Tue Apr 13 2010 Johan Cwiklinski <johan AT x-tnd DOT be> 1.5-1
- 1.5
- Update Sources URL making rpmlint happy

* Fri Oct 23 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 1.4-2
- fix get_locale issue (bug #530599)

* Sun Sep 13 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 1.4-1
- 1.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 1.3-1
- 1.3

* Sat Apr 11 2009 Johan Cwiklinski <johan AT x-tnd DOT be>  1.1-5
- Added missing BR 

* Tue Mar 31 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.1-4
- fix dejavu-fonts dependency

* Mon Mar 30 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 1.1-3
- Symlink to system font (BZ #477372)

* Sun Mar 29 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 1.1-2
- Versions for Obsoletes and Provides were inverted

* Sun Mar 29 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 1.1-1
- Upgrade to 1.1
- Added localized alphabet sounds

* Thu Jan 17 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.90.2-1
- New upstream version 0.90.2
- Drop upstreamed replace-cfg patch

* Sun Aug 26 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.90-1
- New upstream version 0.90, license changed to GPL version 3,
  no other changes.

* Mon Aug  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.85.1-3 
- Update License tag for new Licensing Guidelines compliance

* Thu Jun  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.85.1-2
- Add pyfribidi Requires for Hebrew support

* Fri Dec 22 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.85.1-1
- New upstream release 0.85.1

* Tue Oct 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.84.1-1
- New upstream release 0.84.1
- Install the (still used) assetml files under %%{_datadir}/%%{name} instead
  of under %%{_datadir}/assetml, since we no longer ship libassetml

* Fri Sep 22 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.83.1-1
- New upstream release 0.83.1

* Wed Sep  6 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.83-2
- Don't %%ghost the .pyo files (bug 205370)

* Sun Aug 27 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.83-1
- New upstream version 0.83

* Thu May 11 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.81.8-3
- Fix not finding of initial/default childsplayrc file.

* Wed May 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.81.8-2
- Ghost .pyo files
- BR: desktop-file-utils

* Fri May  5 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.81.8-1
- Initial package
